Commit a2e7b004 authored by Natanael Copa's avatar Natanael Copa
Browse files

Merge remote branch 'clandmeter/master'

parents 7206c19d 66101679
#
# Specify daemon $OPTS here.
#
OPTS=""
#!/sbin/runscript
NAME=3dm2
DAEMON=/usr/sbin/$NAME
depend() {
need net
}
start() {
ebegin "Starting ${NAME}"
start-stop-daemon --start --quiet --background \
--exec ${DAEMON} -- ${OPTS}
eend $?
}
stop() {
ebegin "Stopping ${NAME}"
start-stop-daemon --stop --quiet \
--exec ${DAEMON} \
eend $?
}
# Contributor: Carlo Landmeter <clandmeter at gmail>
# Maintainer: Carlo Landmeter <clandmeter at gmail>
pkgname=3dm2
pkgver=9.5.1.1
pkgrel=0
pkgdesc="3ware's RAID Management software tool"
url="http://www.3ware.com"
license="closed"
depends="uclibc"
makedepends=""
subpackages="$pkgname-doc"
source="http://alpine.nethq.org/clandmeter/src/3ware-${pkgname}-bin-${pkgver}-x86.tar.bz2
$pkgname.initd
$pkgname.confd"
build() {
cd "$srcdir/3ware-${pkgname}-bin-${pkgver}-x86"
install -m644 -D etc/3dm2/3dm2.conf "$pkgdir"/etc/3dm2/3dm2.conf
cp -r usr "$pkgdir"
install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
}
md5sums="7b5fb1ca268915e22a8c4a40ca1af772 3ware-3dm2-bin-9.5.1.1-x86.tar.bz2
922d168a36a615ef06941f73d0d44d40 3dm2.initd
e84205681f64c07af9ec5b6a3dd8bc38 3dm2.confd"
# Contributor: Carlo Landmeter <clandmeter at gmail>
pkgname=eggdrop
pkgver=1.6.19
pkgrel=0
pkgdesc="World's most popular Open Source IRC bot"
url="http://www.eggheads.org/"
license='GPL-2'
depends="tcl"
makedepends="tcl-dev"
source="ftp://ftp.eggheads.org/pub/eggdrop/GNU/1.6/${pkgname}${pkgver}.tar.bz2
eggdrop-installer"
build() {
cd "$srcdir/${pkgname}${pkgver}"
./configure --prefix=/usr
make config || return 1
make -j1 || return 1
mkdir -p $pkgdir/opt/eggdrop
make -j1 DEST="$pkgdir/opt/eggdrop" install
install -Dm755 "$srcdir"/eggdrop-installer "$pkgdir"/usr/bin/eggdrop-installer
msg "Please run /usr/bin/eggdrop-installer to install your eggdrop bot."
}
md5sums="b706bbe4fdd05964e0ea0cd920f28539 eggdrop1.6.19.tar.bz2
d5214dc16c07c55edff22f495c9c367b eggdrop-installer"
#!/bin/sh
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/www/viewcvs.gentoo.org/raw_cvs/gentoo-x86/net-irc/eggdrop/files/eggdrop-installer,v 1.10 2007/03/14 17:52:24 drac Exp $
source /sbin/functions.sh || {
echo "${0}: Could not source /etc/init.d/functions.sh!"
exit 1
}
# Checks to see if user is trying to install eggdrop as root.
root_check() {
if [ "${HOME}" = "/root" ] || [ "$(whoami)" = "root" ]
then
ewarn "You should not be installing eggdrop as root."
ewarn
ewarn "Installing eggdrop as root leaves your computer vulnerable"
ewarn "to attack from other irc clients. Please use the eggdrop-installer"
ewarn "script as the user who you wish to run eggdrop with"
exit 1
fi
}
# Usage information
usage() {
cat <<USAGE_END
Usage: eggdrop-installer <bot-name>
Install eggdrop for a specific user, creating the directories and files
needed for eggdrop to run securely and safely.
USAGE_END
exit 1
}
# Install eggdrop
install_eggdrop() {
einfo "Installing Eggdrop"
einfo
root_check
if [ -d "${bot_dir}" ]
then
einfo "Already found a bot home directory for ${bot_name}"
exit 1
fi
einfo "Creating directories for your eggdrop..."
for dir in logs filesys/incoming text tmp scripts var
do
mkdir -p "${bot_dir}/${dir}"
done
einfo "Creating symlinks to required files for your bot to run..."
for file in help language modules eggdrop
do
ln -s "/opt/eggdrop/${file}" "${bot_dir}/${file}"
done
einfo "Copying motd, banner, scripts and config file..."
cp /opt/eggdrop/text/* "${bot_dir}/text"
cp /opt/eggdrop/scripts/* "${bot_dir}/scripts"
cp /opt/eggdrop/eggdrop.conf "${bot_dir}/eggdrop.conf"
einfo "Finished..."
einfo
einfo "Please edit your ${bot_dir}/eggdrop.conf!"
einfo
einfo "The bot needs to be run from the ${bot_dir} directory."
einfo "Run 'cd ${bot_dir} && ./eggdrop -m eggdrop.conf'"
einfo "to create the user file and then remove the -m command line option"
einfo "to start your eggdrop bot."
einfo
einfo "If you need any help please refer to the man page, or"
einfo "eggdrop website at http://www.egghelp.org/"
}
if [ -z "${1}" ]
then
usage
else
bot_name="${1}"
bot_dir="${HOME}/.eggdrop/${bot_name}"
install_eggdrop
fi
pkgname=linux-smp
pkgver=2.6.28.4
pkgrel=0
pkgdesc="Linux kernel with smp"
url="http://www.kernel.org/"
_kernver=2.6.28
arch=i486
makedepends="linux-sources perl"
source="kernelconfig"
subpackages="$pkgname-mod"
license=GPL-2
build() {
mkdir -p "$srcdir/$pkgname"
cd "$srcdir/$pkgname"
cp ../kernelconfig .config
make -C /usr/src/linux-$pkgver "O=$PWD" silentoldconfig
make || return 1
mkdir -p $pkgdir/boot $pkgdir/lib/modules
make modules_install install \
INSTALL_MOD_PATH=$pkgdir \
INSTALL_PATH=$pkgdir/boot
}
md5sums="d555fb11fb5507dbfa50617370bc375a kernelconfig"
This diff is collapsed.
pkgname=linux-sources
pkgver=2.6.28.4
_kernver=2.6.28
pkgrel=0
pkgdesc="The vanilla Linux kernel sources"
arch=i486
license=GPL-2
url=http://kernel.org
source="ftp://ftp.kernel.org/pub/linux/kernel/v2.6/linux-$_kernver.tar.bz2
ftp://ftp.kernel.org/pub/linux/kernel/v2.6/patch-$pkgver.bz2
"
build() {
cd $srcdir/linux-$_kernver
if [ "$_kernver" != "$pkgver" ]; then
bunzip2 -c < ../patch-$pkgver.bz2 | patch -p1 || return 1
fi
mkdir -p "$pkgdir/usr/src"
cd "$srcdir"
mv "linux-$_kernver" "$pkgdir/usr/src/linux-$pkgver"
}
md5sums="d351e44709c9810b85e29b877f50968a linux-2.6.28.tar.bz2
65afbbf63a73ee7be7227531622049fe patch-2.6.28.4.bz2"
# Contributor: Carlo Landmeter <clandmeter at gmail>
# Maintainer: Carlo Landmeter <clandmeter at gmail>
pkgname=php
pkgver=5.2.8
pkgrel=0
pkgdesc="The PHP language runtime engine"
url="http://www.php.net/"
license="PHP-3"
depends=""
makedepends="pcre-dev libxml2-dev libiconv-dev openssl-dev zlib-dev bzip2-dev
curl-dev libpng-dev libjpeg-dev freetype-dev libmcrypt-dev mysql-dev sqlite-dev"
subpackages="$pkgname-doc $pkgname-dev $pkgname-bcmath $pkgname-bz2
$pkgname-calendar $pkgname-curl $pkgname-exif
$pkgname-ftp $pkgname-gd $pkgname-iconv $pkgname-json $pkgname-mcrypt
$pkgname-mime_magic $pkgname-mysql $pkgname-mysqli
$pkgname-openssl $pkgname-pdo $pkgname-pdo_mysql $pkgname-pdo_sqlite
$pkgname-posix $pkgname-session $pkgname-shmop
$pkgname-soap $pkgname-sockets $pkgname-sqlite $pkgname-sysvmsg $pkgname-sysvsem
$pkgname-sysvshm $pkgname-xmlrpc $pkgname-zip $pkgname-zlib"
source="http://www.php.net/distributions/${pkgname}-${pkgver}.tar.bz2"
build() {
cd "$srcdir/$pkgname-$pkgver"
./configure \
--prefix=/usr --sysconfdir=/etc/php --with-layout=GNU \
--with-config-file-path=/etc/php \
--with-config-file-scan-dir=/etc/php/conf.d \
--enable-inline-optimization --disable-debug --disable-rpath \
--disable-static --enable-shared --mandir=/usr/share/man \
--with-openssl=shared --with-zlib=shared --enable-bcmath=shared \
--with-bz2=shared --enable-calendar=shared --with-curl=shared \
--enable-exif=shared --enable-ftp=shared --with-gd=shared \
--with-jpeg-dir=shared,/usr --with-png-dir=shared,/usr \
--enable-gd-native-ttf --enable-mbstring=shared --with-mcrypt=shared \
--with-mysql=shared --with-mysql-sock=/tmp/mysql.sock \
--with-mysql=shared --with-mysqli=shared --with-pear=/usr/share/pear \
--enable-pdo=shared --with-pdo-mysql=shared \
--with-pdo-sqlite=shared,/usr --enable-fastcgi \
--with-sqlite=shared --enable-sqlite-utf8 --enable-shmop=shared \
--enable-soap=shared --enable-sysvmsg=shared --enable-sysvsem=shared \
--enable-sysvshm=shared --enable-zip=shared --enable-posix=shared \
--enable-sockets=shared --enable-xml --with-ttf=shared \
--enable-session=shared --with-regex=php --with-pcre-regex=/usr \
--enable-mbstring=all --enable-mbregex --enable-json=shared \
--with-iconv=shared --with-xmlrpc=shared --enable-cgi \
--with-freetype-dir=shared,/usr --with-mime-magic=shared \
--enable-discard-path --enable-force-cgi-redirect --disable-cli
make || return 1
make -j1 INSTALL_ROOT="$pkgdir" install || return 1
install -D -m644 php.ini-recommended "$pkgdir"/etc/php/php.ini
}
bcmath() {
depends="$pkgname"
install -D -m755 "${srcdir}/${pkgname}-${pkgver}/modules/bcmath.so" \
"${subpkgdir}/usr/lib/php/20060613/bcmath.so"
}
bz2() {
depends="$pkgname"
install -D -m755 "${srcdir}/${pkgname}-${pkgver}/modules/bz2.so" \
"${subpkgdir}/usr/lib/php/20060613/bz2.so"
}
calendar() {
depends="$pkgname"
install -D -m755 "${srcdir}/${pkgname}-${pkgver}/modules/calendar.so" \
"${subpkgdir}/usr/lib/php/20060613/calendar.so"
}
curl() {
depends="$pkgname curl"
install -D -m755 "${srcdir}/${pkgname}-${pkgver}/modules/curl.so" \
"${subpkgdir}/usr/lib/php/20060613/curl.so"
}
exif() {
depends="$pkgname"
install -D -m755 "${srcdir}/${pkgname}-${pkgver}/modules/exif.so" \
"${subpkgdir}/usr/lib/php/20060613/exif.so"
}
ftp() {
depends="$pkgname openssl"
install -D -m755 "${srcdir}/${pkgname}-${pkgver}/modules/ftp.so" \
"${subpkgdir}/usr/lib/php/20060613/ftp.so"
}
gd() {
depends="$pkgname freetype libpng libjpeg zlib"
install -D -m755 "${srcdir}/${pkgname}-${pkgver}/modules/gd.so" \
"${subpkgdir}/usr/lib/php/20060613/gd.so"
}
iconv() {
depends="$pkgname libiconv"
install -D -m755 "${srcdir}/${pkgname}-${pkgver}/modules/iconv.so" \
"${subpkgdir}/usr/lib/php/20060613/iconv.so"
}
json() {
depends="$pkgname"
install -D -m755 "${srcdir}/${pkgname}-${pkgver}/modules/json.so" \
"${subpkgdir}/usr/lib/php/20060613/json.so"
}
mcrypt() {
depends="$pkgname libmcrypt"
install -D -m755 "${srcdir}/${pkgname}-${pkgver}/modules/mcrypt.so" \
"${subpkgdir}/usr/lib/php/20060613/mcrypt.so"
}
mime_magic() {
depends="$pkgname"
install -D -m755 "${srcdir}/${pkgname}-${pkgver}/modules/mime_magic.so" \
"${subpkgdir}/usr/lib/php/20060613/mime_magic.so"
}
mysql() {
depends="$pkgname mysql"
install -D -m755 "${srcdir}/${pkgname}-${pkgver}/modules/mysql.so" \
"${subpkgdir}/usr/lib/php/20060613/mysql.so"
}
mysqli() {
depends="$pkgname mysql zlib openssl"
install -D -m755 "${srcdir}/${pkgname}-${pkgver}/modules/mysqli.so" \
"${subpkgdir}/usr/lib/php/20060613/mysqli.so"
}
openssl() {
depends="$pkgname openssl"
install -D -m755 "${srcdir}/${pkgname}-${pkgver}/modules/openssl.so" \
"${subpkgdir}/usr/lib/php/20060613/openssl.so"
}
pdo() {
depends="$pkgname"
install -D -m755 "${srcdir}/${pkgname}-${pkgver}/modules/pdo.so" \
"${subpkgdir}/usr/lib/php/20060613/pdo.so"
}
pdo_mysql() {
depends="$pkgname mysql zlib openssl"
install -D -m755 "${srcdir}/${pkgname}-${pkgver}/modules/pdo_mysql.so" \
"${subpkgdir}/usr/lib/php/20060613/pdo_mysql.so"
}
pdo_sqlite() {
depends="$pkgname sqlite"
install -D -m755 "${srcdir}/${pkgname}-${pkgver}/modules/pdo_sqlite.so" \
"${subpkgdir}/usr/lib/php/20060613/pdo_sqlite.so"
}
posix() {
depends="$pkgname"
install -D -m755 "${srcdir}/${pkgname}-${pkgver}/modules/posix.so" \
"${subpkgdir}/usr/lib/php/20060613/posix.so"
}
session() {
depends="$pkgname"
install -D -m755 "${srcdir}/${pkgname}-${pkgver}/modules/session.so" \
"${subpkgdir}/usr/lib/php/20060613/session.so"
}
shmop() {
depends="$pkgname"
install -D -m755 "${srcdir}/${pkgname}-${pkgver}/modules/mysqli.so" \
"${subpkgdir}/usr/lib/php/20060613/mysqli.so"
}
soap() {
depends="$pkgname libxml2 zlib"
install -D -m755 "${srcdir}/${pkgname}-${pkgver}/modules/soap.so" \
"${subpkgdir}/usr/lib/php/20060613/soap.so"
}
sockets() {
depends="$pkgname"
install -D -m755 "${srcdir}/${pkgname}-${pkgver}/modules/sockets.so" \
"${subpkgdir}/usr/lib/php/20060613/sockets.so"
}
sqlite() {
depends="$pkgname"
install -D -m755 "${srcdir}/${pkgname}-${pkgver}/modules/sqlite.so" \
"${subpkgdir}/usr/lib/php/20060613/sqlite.so"
}
sysvmsg() {
depends="$pkgname"
install -D -m755 "${srcdir}/${pkgname}-${pkgver}/modules/sysvmsg.so" \
"${subpkgdir}/usr/lib/php/20060613/sysvmsg.so"
}
sysvsem() {
depends="$pkgname"
install -D -m755 "${srcdir}/${pkgname}-${pkgver}/modules/sysvsem.so" \
"${subpkgdir}/usr/lib/php/20060613/sysvsem.so"
}
sysvshm() {
depends="$pkgname"
install -D -m755 "${srcdir}/${pkgname}-${pkgver}/modules/sysvshm.so" \
"${subpkgdir}/usr/lib/php/20060613/sysvshm.so"
}
xmlrpc() {
depends="$pkgname libiconv libxml2 zlib"
install -D -m755 "${srcdir}/${pkgname}-${pkgver}/modules/xmlrpc.so" \
"${subpkgdir}/usr/lib/php/20060613/xmlrpc.so"
}
zip() {
depends="$pkgname zlib"
install -D -m755 "${srcdir}/${pkgname}-${pkgver}/modules/zip.so" \
"${subpkgdir}/usr/lib/php/20060613/zip.so"
}
zlib() {
depends="$pkgname zlib"
install -D -m755 "${srcdir}/${pkgname}-${pkgver}/modules/zlib.so" \
"${subpkgdir}/usr/lib/php/20060613/zlib.so"
}
md5sums="8760a833cf10433d3e72271ab0d0eccf php-5.2.8.tar.bz2"
# Contributor: Your Name <youremail@domain.com>
pkgname=pzs-ng
pkgver=2500
pkgrel=0
pkgdesc="Project Zipscript - Next Generation"
url="http://www.pzs-ng.com/"
license='AS IS'
depends="zip"
makedepends=""
source="http://cl.pzs-ng.com/stable/project-zs-ng_r2500-v1.2.0.tar.gz
pzs-ng.zsconfig"
subpackages=""
build() {
cd "${srcdir}/project-zs-ng_r2500-v1.2.0/"
./configure --disable-glftpd-specific \
--with-install-path="${pkgdir}"/usr
install "${srcdir}/pzs-ng.zsconfig" "zipscript/conf/zsconfig.h" || return 1
make || return 1
mkdir -p "${pkgdir}/usr/ftp-data/pzs-ng"
mkdir -p "${pkgdir}/usr/share/pzs-ng"
cp -a scripts "${pkgdir}/usr/share/pzs-ng/" || return 1
cp -a sitebot "${pkgdir}/usr/share/pzs-ng/" || return 1
cp -a zipscript/src/banned_filelist.txt "${pkgdir}/usr/share/pzs-ng/"
make install
rm -rf ${pkgdir}/usr/ftp-data
}
md5sums="62a2e14436a91d43846e5bac1c7e50f8 project-zs-ng_r2500-v1.2.0.tar.gz
0979f516564600689cce148415a3bd4c pzs-ng.zsconfig"
/* zsconfig.h - ZipScript-C config file
*
* This file only contains overrides of the defaults. If you need to edit/change
* other options, please copy the option from README.ZSCONFIG and place it in
* here.
* The complete list of options availible is found in README.ZSCONFIG.
*
* Please do not change settings you do not understand!
*
* The hash char ``#'' does not signify comments! DO NOT REMOVE!
*/
/* DO NOT USE WILDCARDS HERE! */
#define sitepath_dir "/home/wzdftpd/site/"
#define group_dirs ""
#define zip_dirs ""
#define sfv_dirs "/home/wzdftpd/site/incoming/faf/ /home/wzdftpd/site/incoming/mp3/ /home/wzdftpd/site/incoming/mdvd/ /home/wzdftpd/site/incoming/other/ /home/wzdftpd/site/incoming/musicvideos/ /home/wzdftpd/site/requests/"
#define nocheck_dirs "/home/wzdftpd/site/private/ /home/wzdftpd/site/archive"
#define noforce_sfv_first_dirs ""
#define audio_nocheck_dirs ""
#define allowed_types_exemption_dirs ""
#define check_for_missing_nfo_dirs ""
#define cleanupdirs "/home/wzdftpd/site/incoming/apps/ /home/wzdftpd/site/incoming/musicvideos/"
#define cleanupdirs_dated "/home/wzdftpd/site/incoming/mp3/%Y-%m-%d/"
#define short_sitename "FAF"
#define debug_mode FALSE
#define debug_altlog TRUE
#define status_bar_type 1
#define incompleteislink 1
#define ignored_types ",diz,debug,message,imdb,html,url,m3u,metadata"
#define deny_double_sfv FALSE
#define force_sfv_first FALSE
#define audio_genre_path "/home/wzdftpd/site/index/music.by.genre/"
#define audio_artist_path "/home/wzdftpd/site/index/music.by.artist/"
#define audio_year_path "/home/wzdftpd/site/index/music.by.year/"
#define audio_group_path "/home/wzdftpd/site/index/music.by.group/"
#define audio_language_path "/home/wzdftpd/site/index/music.by.language/"
#define allowed_constant_bitrates "160,192"
#define allowed_years "2005,2006,2007,2008,2009"
#define banned_genres "Christian Rap,Christian Gangsta Rap,Contemporary Christian,Christian Rock"
#define allowed_genres "Top 40,Pop Funk,Rock,Pop"
#define audio_genre_sort TRUE
#define audio_year_sort TRUE
#define audio_artist_sort TRUE
#define audio_group_sort TRUE
#define audio_language_sort TRUE
#define audio_cbr_check TRUE
#define audio_cbr_warn TRUE
#define audio_year_check FALSE
#define audio_year_warn FALSE
#define audio_banned_genre_check FALSE
#define audio_allowed_genre_check FALSE
#define audio_genre_warn FALSE
#define enable_nfo_script FALSE
#define nfo_script "/bin/psxc-imdb.sh"
#define enable_complete_script FALSE
#define complete_script "/bin/nfo_copy.sh"
/* These are settings that are especially relevant when you're not running under glftpd.
* Make sure that all paths are absolute and _real_, e.g. set log to /home/myuser/wzd/var/log/wzdftpd/wzd.log
*
* You should probably also create these two first dirs using:
* mkdir -p -m777 /home/myuser/wzd/var/lib/pzs-ng */
#define log "/home/wzdftpd/ftp-data/log/wzd.log"
#define storage "/home/wzdftpd/ftp-data/pzs-ng/"
#define banned_filelist "/home/wzdftpd/ftp-data/misc/banned_filelist.txt"
#define zip_bin "usr/bin/zip"
#define unzip_bin "usr/bin/unzip"
# This is an example APKBUILD file. Use this as a start to creating your own,
# and remove these comments.
# NOTE: Please fill out the license field for your package! If it is unknown,
# then please put 'unknown'.
# Contributor: Your Name <youremail@domain.com>
pkgname=wzdftpd-svn
pkgver=2040
pkgrel=0
pkgdesc="A portable, modular, small, and efficient FTP server"
url="http://www.wzdftpd.net"
license='GPL'
depends="openssl"
makedepends="cmake mysql-dev sqlite-dev tcl-dev openssl-dev flex"
source="http://alpine.nethq.org/clandmeter/wzdftpd-svn2040.tar.gz
wzdftpd-svn.initd"
subpackages=""
build() {
mkdir "$srcdir/${pkgname}"
mv "$srcdir/wzdftpd-src" "$srcdir/${pkgname}/"
cd "$srcdir/${pkgname}/"
cmake \
-D CMAKE_INSTALL_PREFIX:PATH=/usr \
-D WITH_DUPECHECK:BOOL=ON \
-D WITH_SFV:BOOL=ON \
-D BUILD_TESTING:BOOL=OFF \
-D WITH_Zeroconf:BOOL=ON \
-D TCL_LIBRARY:FILEPATH=/usr/lib/libtcl8.5.so \
-D WITH_PAM:BOOL=OFF \
-D WITH_PerlDev:BOOL=OFF \
-D CONF_INSTALL_PATH:PATH=/etc/wzdftpd \
./wzdftpd-src || return 1
make || return 1
make DESTDIR="$pkgdir/" install
mv $pkgdir/usr/var $pkgdir/
sed -i -e 's|usr/var|var|' \
-e 's|usr/etc|etc|' \
-e 's|usr//etc|etc|' \
-e 's|#pid_file|pid_file|' \
$pkgdir/etc/wzdftpd/wzd.cfg.sample
install -Dm 755 "$startdir"/$pkgname.initd $pkgdir/etc/init.d/wzdftpd
}
md5sums="4bdb2fcaa4ca316261e9f77380818769 wzdftpd-svn2040.tar.gz
f2da00545b44a1a2c971d21be3b54142 wzdftpd-svn.initd"
#!/sbin/runscript
depend() {
need net
use dns
}
checkconfig() {
if [ ! -f /etc/wzdftpd/wzd.cfg ] ; then
eerror "No /etc/wzdftpd/wzd.cnf file exists!"
return 1
fi
}
start() {